<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.KContentMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.system.domain.KContent">
            <id property="id" column="Id" jdbcType="INTEGER"/>
            <result property="kname" column="kname" jdbcType="VARCHAR"/>
            <result property="kcontent" column="kcontent" jdbcType="VARCHAR"/>
            <result property="categoryid" column="categoryid" jdbcType="INTEGER"/>
            <result property="username" column="username" jdbcType="VARCHAR"/>
            <result property="createtime" column="createtime" jdbcType="TIMESTAMP"/>
            <result property="updatetime" column="updatetime" jdbcType="TIMESTAMP"/>
            <result property="path" column="path" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        Id,kname,kcontent,
        categoryid,username,createtime,
        updatetime,path
    </sql>
</mapper>
